[Setup]
PrivilegesRequired=admin
AppName=pGina
AppVerName=pGina 1.8.4
AppPublisher=XPA Systems
AppPublisherURL=http://www.xpasystems.com
AppSupportURL=http://www.xpasystems.com
AppUpdatesURL=http://www.xpasystems.com
DefaultDirName=c:\pGina
DisableDirPage=no
DefaultGroupName=pGina
DisableProgramGroupPage=no
LicenseFile=license.txt
ShowLanguageDialog=auto

[Files]
; Executables
Source: "Configure.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "plugin_tester.exe"; DestDir: "{app}"
; Support DLL's
Source: "mfc42.dll"; DestDir: "{sys}"
Source: "libcurl.dll"; DestDir: "{sys}"; Flags: restartreplace uninsrestartdelete
Source: "DummyPlugin.dll"; DestDir: "{app}\plugins"; Flags: ignoreversion restartreplace uninsrestartdelete
; pGina itself
Source: "pgina.dll"; DestDir: "{app}"; Flags: ignoreversion restartreplace uninsrestartdelete
; License, Information, Documentation
Source: "gpl.txt"; DestDir: "{app}\docs"
Source: "changes.txt"; DestDir: "{app}\docs"
Source: "users_manual\manual.pdf"; DestDir: "{app}\docs"
; Locales
Source: "locale_*"; DestDir: "{app}"
[Icons]
Name: "{group}\Configuration Tool"; Filename: "{app}\Configure.exe"
Name: "{group}\Plugin Tester"; Filename: "{app}\plugin_tester.exe"
Name: "{group}\Documentation\Users Manual"; Filename: "{app}\docs\manual.pdf";
Name: "{group}\Documentation\GPL License"; Filename: "{app}\docs\gpl.txt"
Name: "{group}\Documentation\ChangeLog"; Filename: "{app}\docs\changes.txt"
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"

[Registry]
; Make pGina the default GINA
Root: HKLM; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\Winlogon"; ValueType: string; ValueName: "GinaDLL"; ValueData: "{app}\pGina.dll"; Flags: uninsdeletevalue
; Main pgina key, the uninsdeletekey means we dont have to delete any others
Root: HKLM; Subkey: "Software\pGina"; Flags: uninsdeletekey
; Settings keys for pGina
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "allowLocking"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "buttonAction"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "debugOutput"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "forceLogin"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "keepProfiles"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "mapAdmin"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "passThru"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "hideMotd"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "hidePlugin"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "displayErrors"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "pathMSGina"; ValueData: "msgina.dll"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "pathPlugin"; ValueData: "{app}\plugins\DummyPlugin.dll"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "pathProfile"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "title"; ValueData: "pGina Login"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "mapPaths"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "logo"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "motd"; ValueData: "Welcome to %machine%, This is the MOTD field, you may put security warnings, instructions, etc here."
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "defaultDomain"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "globalGroups"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "sUsername"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "sPassword"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "sUserLogin"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\pgina.dll"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "allowSpaces"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "scramblePasswords"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "disallowExpiration"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "manageDomain"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "includeDomain"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "showUsernameAndAuth"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "showMachineName"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "enableTask"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "enableLogout"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "enableRestart"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "sUserDomain"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "adminUsername"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "adminPassword"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "disableAllEventLogs"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "UserLoginScript"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "disablePassword"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "trueUnlock"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "locked_logo"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "hookWlx"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "honorLockedAccounts"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "keepAccounts"; ValueData: "1"
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Services\Eventlog\pGina";

[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "de"; MessagesFile: "German.isl"
Name: "cz"; MessagesFile: "Czech.isl"
Name: "fr"; MessagesFile: "French.isl"
Name: "el"; MessagesFile: "Greek-6-4.2.1.isl"

[Run]
Filename: "{app}\docs\changes.txt"; Description: "View the changes file"; Flags: postinstall shellexec skipifsilent
Filename: "{app}\Configure.exe"; Description: "Configure pGina Now (Recommended)"; Flags: nowait postinstall skipifsilent


