[Setup]
PrivilegesRequired=admin
AppName=pGina
AppVerName=pGina 1.8.4
AppPublisher=XPA Systems
AppPublisherURL=http://www.xpasystems.com
AppSupportURL=http://www.xpasystems.com
AppUpdatesURL=http://www.xpasystems.com
DefaultDirName=c:\pGina
DisableDirPage=no
DefaultGroupName=pGina
DisableProgramGroupPage=no
LicenseFile=license.txt
ShowLanguageDialog=auto
UsePreviousAppDir=yes
CreateUninstallRegKey=no
UpdateUninstallLogAppName=yes
DirExistsWarning=no

[Files]
; Executables
Source: "Configure.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "plugin_tester.exe"; DestDir: "{app}"
; Support DLL's
Source: "mfc42.dll"; DestDir: "{sys}"
Source: "libcurl.dll"; DestDir: "{sys}"; Flags: restartreplace uninsrestartdelete
Source: "DummyPlugin.dll"; DestDir: "{app}\plugins"; Flags: ignoreversion restartreplace uninsrestartdelete
; pGina itself
Source: "pgina.dll"; DestDir: "{app}"; Flags: ignoreversion restartreplace uninsrestartdelete
; License, Information, Documentation
Source: "gpl.txt"; DestDir: "{app}\docs"
Source: "changes.txt"; DestDir: "{app}\docs"
; Locales
Source: "locale_*"; DestDir: "{app}"
Source: "users_manual\manual.pdf"; DestDir: "{app}\docs"
[Icons]
Name: "{group}\Configuration Tool"; Filename: "{app}\Configure.exe"
Name: "{group}\Plugin Tester"; Filename: "{app}\plugin_tester.exe"
Name: "{group}\Documentation\Users Manual"; Filename: "{app}\docs\manual.pdf"
Name: "{group}\Documentation\GPL License"; Filename: "{app}\docs\gpl.txt"
Name: "{group}\Documentation\ChangeLog"; Filename: "{app}\docs\changes.txt"
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"

[Registry]
; Make pGina the default GINA
Root: HKLM; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\Winlogon"; ValueType: string; ValueName: "GinaDLL"; ValueData: "{app}\pGina.dll"; Flags: uninsdeletevalue
; Main pgina key, the uninsdeletekey means we dont have to delete any others
Root: HKLM; Subkey: "Software\pGina"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "keepAccounts"; ValueData: "1"
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Services\Eventlog\pGina";

[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "de"; MessagesFile: "German.isl"
Name: "cz"; MessagesFile: "Czech.isl"
Name: "fr"; MessagesFile: "French.isl"
Name: "el"; MessagesFile: "Greek-6-4.2.1.isl"

[Run]
Filename: "{app}\docs\changes.txt"; Description: "View the changes file"; Flags: postinstall shellexec skipifsilent
Filename: "{app}\Configure.exe"; Description: "Configure pGina Now (Recommended)"; Flags: nowait postinstall skipifsilent


